import 'package:aiframework/aiframework.dart';
import 'package:permission_handler/permission_handler.dart';

class Permission {
  static request(PermissionGroup group) async {
    if (await PermissionHandler().checkPermissionStatus(group) !=
        PermissionStatus.granted) {
      if ((await PermissionHandler().requestPermissions([group]))[group] !=
          PermissionStatus.granted) {
        return false;
      }
    }

    return true;
  }
}
